Bug 1120725 - Creating VM from Template fail for NullPointerException
Summary: Creating VM from Template fail for NullPointerException
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-core
Version: 3.5
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ---
: 3.5.0
Assignee: Yair Zaslavsky
QA Contact: Gal Amado
URL:
Whiteboard: infra
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-17 14:58 UTC by Gal Amado
Modified: 2016-02-10 19:34 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:22:50 UTC
oVirt Team: Infra


Attachments (Terms of Use)
engine.log (8.45 MB, text/x-log)
2014-07-17 14:58 UTC, Gal Amado
no flags Details

Description Gal Amado 2014-07-17 14:58:48 UTC
Created attachment 918739 [details]
engine.log

Description of problem:
Fail to create a new VM from template - thin mode .


Version-Release number of selected component (if applicable):
oVirt Engine Version: 3.5.0-0.0.master.20140629172257.git0b16ed7.el6


How reproducible:
TBD

Steps to Reproduce:
1.up and running setup with VM + disks
2.create template from VM
3.create VM from template

Actual results:
operation fail in admin GUI event log "Fail to create VM XXX",
NullPointerException in engine.log

Expected results:
operation success.

Additional info:

Comment 1 Allon Mureinik 2014-07-18 08:26:10 UTC
Another command context issue:

2014-07-15 11:45:34,115 ERROR [org.ovirt.engine.core.bll.CommandsFactory] (org.ovirt.thread.pool-8-thread-13) An exception has occured while trying to create a command object for command ReconstructMasterDomain: java.lang.RuntimeException: could not find matching constructor for Command class class org.ovirt.engine.core.bll.storage.ReconstructMasterDomainCommand
	at org.ovirt.engine.core.bll.CommandsFactory.findCommandConstructor(CommandsFactory.java:197) [bll.jar:]
	at org.ovirt.engine.core.bll.CommandsFactory.createCommand(CommandsFactory.java:63) [bll.jar:]
	at org.ovirt.engine.core.bll.Backend.runActionImpl(Backend.java:410) [bll.jar:]
	at org.ovirt.engine.core.bll.Backend.runInternalAction(Backend.java:616) [bll.jar:]
	at sun.reflect.GeneratedMethodAccessor161.invoke(Unknown Source) [:1.7.0_55]
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43) [rt.jar:1.7.0_55]
	at java.lang.reflect.Method.invoke(Method.java:606) [rt.jar:1.7.0_55]
	at org.jboss.as.ee.component.ManagedReferenceMethodInterceptorFactory$ManagedReferenceMethodInterceptor.processInvocation(ManagedReferenceMethodInterceptorFactory.java:72) [jboss-as-ee-7.1.1.Final.jar:7.1.1.Final]
<snipped>

Comment 2 Yair Zaslavsky 2014-07-19 01:20:24 UTC
Already fixed.

Comment 3 Gal Amado 2014-08-07 13:33:31 UTC
verified on oVirt Engine Version: 3.5.0-0.0.master.20140804172041.git23b558e.el6

scenario is working fine, manage to create template from VM, and then create a VM from this template.
no ERROR / Exception at engine.log

Comment 4 Sandro Bonazzola 2014-10-17 12:22:50 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.